/*
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 * 
 */

#include <TTree.h>
#include <TFile.h>
#include <TCanvas.h>
#include <TH1D.h>

#include "edep.hpp"

namespace {

TCanvas* canvas;
TFile* file;
TH1D* h;

}

void
edep_init()
{
	canvas = new TCanvas( "c1", "Energy deposition (MeV)", 600, 600);
	file = new TFile( "USERDUMP.root", "RECREATE");
	h = new TH1D( "hist", "Energy deposition (MeV)", 1024, 0.0, 1.0);
}

void
edep_finish()
{
	canvas->cd();
	h->Draw();
	h->GetXaxis()->SetTitle("MeV");
	h->GetYaxis()->SetTitle("Events");
	canvas->SetLogy();
	canvas->Write();
	h->Write();
	file->Close();
}

void
edep_save(DOUBLE_PRECISION* energy_deposit)
{
	Double_t energy = static_cast<Double_t>(*energy_deposit);
	h->Fill(energy);
}
